forumbot docker_container.running:
  docker_container.running:
    - name: forumbot
    - image: {{ salt['pillar.get']('postgres:image:path', 'docker.io/flipdot/forumbot') }}:{{ salt['pillar.get']('postgres:image:version', 'latest') }}
    - container_name: forumbot
    - environment:
      - DISCOURSE_API_KEY: {{ salt['pillar.get']('forumbot:discourse_api_key', "") }}
      - DISCOURSE_USERNAME: {{ salt['pillar.get']('forumbot:discourse_username', "") }}
      - SENTRY_DSN: {{ salt['pillar.get']('forumbot:sentry_dsn', "") }}
    - restart: always
    - healthcheck:
        test: ["CMD", "python", "/app/src/app.py", "--test_connection"]
